'use client'

import { MultiStepsForm } from '@/components/MultiStepsForm'
import React, { useState } from 'react'

export default function Destination() {
  const [step, setStep] = useState(1);
  const [purpose, setPurpose] = useState('Tourism');
  const [selectedVisa, setSelectedVisa] = useState(0);

  const handleContinue = () => {
    if (step === 1 && purpose) {
      setStep(step + 1);
    }

    if (step === 2 && selectedVisa) {
      setStep(step + 1);
    }

    
  };

  const handleBack = () => {
    if (step > 1) {
      setStep(step - 1);
    }
  }

  return (
    <div className='flex flex-col bg-indigo-50 h-screen'>
      <div className='absolute top-0 py-6 text-xl font-extrabold left-0 shadow-lg text-indigo-800 bg-white flex w-full items-center justify-center'>PassportMe</div>
      <div className='flex absolute w-full top-32 px-2'>
        <MultiStepsForm
          step={step}
          setStep={setStep}
          purpose={purpose}
          setPurpose={setPurpose}
          selectedVisa={selectedVisa}
          setSelectedVisa={setSelectedVisa}
        />
      </div>
      <div className="absolute bottom-0 left-0 w-full flex justify-between p-4 bg-white">
        <button className="px-16 py-3 border border-blue-700 text-blue-700 font-bold rounded-full"
          onClick={handleBack}>
          Back
        </button>
        <button
          className="px-12 py-3 bg-blue-700 font-bold text-white rounded-full"
          onClick={handleContinue}
        >
          Continue
        </button>
      </div>
    </div>
  )
}

